public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sergei Trofimovich" <slyfox@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/openfire/
Date: Wed, 21 Dec 2016 21:44:21 +0000 (UTC)	[thread overview]
Message-ID: <1482356644.9e89e0c6efe176517e174c1ed4aab556f013c532.slyfox@gentoo> (raw)

commit:     9e89e0c6efe176517e174c1ed4aab556f013c532
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 21 21:43:50 2016 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Wed Dec 21 21:44:04 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e89e0c6

net-im/openfire: bump up to 4.1.0

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 net-im/openfire/Manifest              |   1 +
 net-im/openfire/openfire-4.1.0.ebuild | 108 ++++++++++++++++++++++++++++++++++
 2 files changed, 109 insertions(+)

diff --git a/net-im/openfire/Manifest b/net-im/openfire/Manifest
index f45c277..c2537f6 100644
--- a/net-im/openfire/Manifest
+++ b/net-im/openfire/Manifest
@@ -1,3 +1,4 @@
 DIST openfire_src_4_0_2.tar.gz 98972324 SHA256 62e7a8a735431d45f5ad72a8ae9603743277372702e782ea514323bfd80a4efb SHA512 444762fec588d4b205c0d6247098861b246eb3f74061dfe47314a33daeb57e228e62132efac3d50fbffd31bd779ba986d0b59afe375d27f3f2923cecbd4f873a WHIRLPOOL 3259e09f1bf422415b0722bff96524be6831ee8d104b91b15fc2b8b25569da5e5f4920ad08080c4e44f1d9c74049c8b0344bbe534b0c3809483745e2452d08e9
 DIST openfire_src_4_0_3.tar.gz 99135040 SHA256 2eae0ac43826e0e084363c8640fa26ac6ec1369aa354bd2bdb268c2f801b2e55 SHA512 d610ac3d20f1d369f4ad5a695dccec6f5523d65675f6cc78cc6728ea03ee860668dae4fbfe13bf627df1f3e34b72306894f06d63cd3e32a93d3b47211e07a631 WHIRLPOOL 0887e71b4090fdd0c4236054b3df3791dc30da978bb45e3742459f0f3aed60d9402a9586d4a71038185edbf4c3dfb59fd79387cd3e7ce0e0038dca351f7be734
 DIST openfire_src_4_0_4.tar.gz 99136077 SHA256 66a7b4f00f2f15e6899b0fd8375914838b9401e5defe6dc3b1236c62e7f379a9 SHA512 9d6b80b3d96ba180ad9598fe07926eb1ae617d202842aec1ee460b1511a24d1b93de203fd5bbf20fd08ef738ae5d3e603e741b9856829fdde4d02007595ab50b WHIRLPOOL 3f6b3b5011ea0508351d90f6248e07fb503f5e7212dcca1ef77fd9fe7f3ac6ae5d0a156083edb74f867a871e5f4d2472937031d8ea6c7a4721d8ce7fa69c42a1
+DIST openfire_src_4_1_0.tar.gz 103449811 SHA256 3e52b27ac9ed5af1acb7065e84a416ad075994445b554e78d7c966724612cbf2 SHA512 3a4e26c260f6a91ece6e6d3fc7c3302b6f1735725ce2686bab8773981dad63ef653a25748852c32e4df8f6bde2882db4043d94b69eb774a5280285fd5b7cd96b WHIRLPOOL da56663dc9cdf831e04aebddff2eb2705b9cb603a0b5110fee1dc00d41252050ba326c84883fb69894ac064a339a11e22ef44c35348de0bb655f55bc8c34c72d

diff --git a/net-im/openfire/openfire-4.1.0.ebuild b/net-im/openfire/openfire-4.1.0.ebuild
new file mode 100644
index 00000000..957cc4c
--- /dev/null
+++ b/net-im/openfire/openfire-4.1.0.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils java-pkg-2 java-ant-2 systemd
+
+MY_P=${PN}_src_${PV//./_}
+DESCRIPTION="Openfire (formerly wildfire) real time collaboration (RTC) server"
+HOMEPAGE="http://www.igniterealtime.org/projects/openfire/"
+SRC_URI="http://www.igniterealtime.org/builds/openfire/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+RDEPEND=">=virtual/jre-1.7"
+DEPEND="net-im/jabber-base
+	~dev-java/ant-contrib-1.0_beta2
+	>=virtual/jdk-1.7"
+
+S=${WORKDIR}/${PN}_src
+
+pkg_setup() {
+	if [[ -f /etc/env.d/98openfire ]]; then
+		einfo "This is an upgrade"
+		ewarn "As the plugin API changed, at least these plugins need to be updated also:"
+		ewarn "User Search, IM Gateway, Fastpath, Monitoring"
+		ewarn "they can be downloaded via Admin Console or at"
+		ewarn "    ${HOMEPAGE}"
+	else
+		ewarn "If this is an upgrade stop right ( CONTROL-C ) and run the command:"
+		ewarn "echo 'CONFIG_PROTECT=\"/opt/openfire/resources/security/\"' > /etc/env.d/98openfire "
+		ewarn "For more info see bug #139708"
+		sleep 11
+	fi
+	java-pkg-2_pkg_setup
+}
+
+src_compile() {
+	# Jikes doesn't support -source 1.5
+	java-pkg_filter-compiler jikes
+
+	ANT_TASKS="ant-contrib"
+	eant -f build/build.xml openfire plugins $(use_doc)
+
+	# delete nativeAuth prebuilt libs:
+	#    uses outdated unmaintained libshaj, does not support amd64
+	rm -rfv target/openfire/resources/nativeAuth || die
+}
+
+src_install() {
+	dodir /opt/openfire
+
+	newinitd "${FILESDIR}"/openfire-initd openfire
+	newconfd "${FILESDIR}"/openfire-confd openfire
+	systemd_dounit "${FILESDIR}"/${PN}.service
+
+	dodir /opt/openfire/conf
+	insinto /opt/openfire/conf
+	newins target/openfire/conf/openfire.xml openfire.xml.sample
+	newins target/openfire/conf/security.xml security.xml.sample
+
+	dodir /opt/openfire/logs
+	keepdir /opt/openfire/logs
+
+	dodir /opt/openfire/lib
+	insinto /opt/openfire/lib
+	doins target/openfire/lib/*
+
+	dodir /opt/openfire/plugins
+	insinto /opt/openfire/plugins
+	doins -r target/openfire/plugins/*
+
+	dodir /opt/openfire/resources
+	insinto /opt/openfire/resources
+	doins -r target/openfire/resources/*
+
+	if use doc; then
+		dohtml -r documentation/docs/*
+	fi
+	dodoc documentation/dist/*
+
+	#Protect ssl key on upgrade
+	dodir /etc/env.d/
+	echo 'CONFIG_PROTECT="/opt/openfire/resources/security/"' > "${D}"/etc/env.d/98openfire
+}
+
+pkg_postinst() {
+	local src
+	local dst
+
+	# http://community.igniterealtime.org/thread/52289
+	for dst in "${ROOT}"/opt/openfire/conf/{openfire,security}.xml
+	do
+		src="${dst}".sample
+		if [[ -f "${dst}" ]]; then
+			einfo "Leaving old '${dst}'"
+		else
+			einfo "Created default '${dst}'. Please edit."
+			cp -v "${src}" "${dst}" || ewarn "cp '${dst}' failed"
+			chmod -v 0600 "${dst}" || ewarn "chmod '${dst}' failed"
+		fi
+	done
+	chown -R jabber:jabber "${ROOT}"/opt/openfire
+}


             reply	other threads:[~2016-12-21 21:44 UTC|newest]

Thread overview: 31+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-12-21 21:44 Sergei Trofimovich [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-06-23 17:25 [gentoo-commits] repo/gentoo:master commit in: net-im/openfire/ Michael Orlitzky
2019-06-23 17:15 Michael Orlitzky
2019-02-16  9:45 Pacho Ramos
2019-02-15 18:40 Mikle Kolyada
2019-02-15 18:40 Mikle Kolyada
2019-02-15  0:18 Thomas Deutschmann
2019-01-13 21:36 Sergei Trofimovich
2018-09-22 17:29 Sergei Trofimovich
2018-03-23 20:48 Sergei Trofimovich
2018-02-19  8:02 Sergei Trofimovich
2017-06-30 21:05 Sergei Trofimovich
2017-06-30 21:01 Sergei Trofimovich
2017-05-04 22:28 Sergei Trofimovich
2017-02-25  9:33 Sergei Trofimovich
2017-02-19 10:59 Sergei Trofimovich
2017-01-01  7:21 Sergei Trofimovich
2016-12-30 10:27 Sergei Trofimovich
2016-12-29 10:45 Agostino Sarubbo
2016-12-24  9:24 Aaron Bauman
2016-12-01 22:44 Sergei Trofimovich
2016-08-26 15:45 Sergei Trofimovich
2016-07-29  7:22 Sergei Trofimovich
2016-07-28 15:23 Agostino Sarubbo
2016-07-09 17:46 Agostino Sarubbo
2016-06-19 13:53 Sergei Trofimovich
2016-03-22  8:50 Sergei Trofimovich
2016-02-06 10:36 Sergei Trofimovich
2015-11-18 21:07 Sergei Trofimovich
2015-11-01 13:27 Mikle Kolyada
2015-10-27 12:18 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1482356644.9e89e0c6efe176517e174c1ed4aab556f013c532.slyfox@gentoo \
    --to=slyfox@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox